org.modeshape.jcr.value.basic

## Class NameValueFactory

- java.lang.Object
- - org.modeshape.jcr.value.basic.AbstractValueFactory<Name>
  - - org.modeshape.jcr.value.basic.NameValueFactory

- All Implemented Interfaces:
    NameFactory, ValueFactory<Name>

      @Immutable
      public class NameValueFactory
      extends AbstractValueFactory<Name>
      implements NameFactory

  The standard `ValueFactory` for `PropertyType.NAME` values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory

      `AbstractValueFactory.ConvertingIterator<ValueType>`

    - ### Nested classes/interfaces inherited from interface org.modeshape.jcr.value.NameFactory

      `NameFactory.Holder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `FULLY_QUALFIED_NAME_PATTERN_STRING`
    `protected static Pattern` | `FULLY_QUALIFIED_NAME_PATTERN`

    - ### Fields inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory

      `decoder, propertyType, valueFactories`

    - ### Fields inherited from interface org.modeshape.jcr.value.ValueFactory

      `DEFAULT_DECODER, DEFAULT_ENCODER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameValueFactory(NamespaceRegistry.Holder namespaceRegistryHolder, TextDecoder decoder, ValueFactories factories)` Create a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `create(BigDecimal value)` Create a value from a decimal.
    `Name` | `create(BinaryValue value)` Create a value from the binary content given by the supplied stream.
    `Name` | `create(boolean value)` Create a boolean from a string.
    `Name` | `create(byte[] value)` Create a value from the binary content given by the supplied array.
    `Name` | `create(Calendar value)` Create a value from a Calendar instance.
    `Name` | `create(Date value)` Create a value from a date.
    `Name` | `create(DateTime value)` Create a value from a date-time instant.
    `Name` | `create(double value)` Create a value from a double.
    `Name` | `create(float value)` Create a value from a float.
    `Name` | `create(InputStream stream)` Create a value from the binary content given by the supplied stream.
    `Name` | `create(int value)` Create a value from an integer.
    `Name` | `create(long value)` Create a long from a string.
    `Name` | `create(Name value)` Create a value from a name.
    `Name` | `create(NodeKey value)` Create a value from a `NodeKey`.
    `Name` | `create(Path.Segment segment)` Create a value from a path segment.
    `Name` | `create(Path value)` Create a value from a path.
    `Name` | `create(Reference value)` Create a value from a reference.
    `Name` | `create(String value)` Create a value from a string, using no decoding.
    `Name` | `create(String namespaceUri, String localName)` Create a name from the given namespace URI and local name.
    `Name` | `create(String namespaceUri, String localName, TextDecoder decoder)` Create a name from the given namespace URI and local name.
    `Name` | `create(String value, TextDecoder decoder)` Create a value from a string, using the supplied decoder.
    `Name` | `create(URI value)` Create a value from a URI.
    `Name` | `create(UUID value)` Create a value from a UUID.
    `Name[]` | `createEmptyArray(int length)` Creates an empty array of the given type.
    `NamespaceRegistry` | `getNamespaceRegistry()` Get the namespace registry.
    `NameFactory` | `with(NamespaceRegistry.Holder namespaceRegistryHolder)` Return a potentially new copy of this factory that uses the supplied `NamespaceRegistry.Holder` object.
    `NameFactory` | `with(ValueFactories valueFactories)` Return a potentially new copy of this factory that uses the supplied ValueFactories object.

    - ### Methods inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDecoder, getDecoder, getPropertyType, getStringValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jcr.value.ValueFactory

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getPropertyType`

- - ### Field Detail

    - #### FULLY_QUALFIED_NAME_PATTERN_STRING

          protected static final String FULLY_QUALFIED_NAME_PATTERN_STRING

      See Also:
        Constant Field Values

    - #### FULLY_QUALIFIED_NAME_PATTERN

          protected static final Pattern FULLY_QUALIFIED_NAME_PATTERN

  - ### Constructor Detail

    - #### NameValueFactory

          public NameValueFactory(NamespaceRegistry.Holder namespaceRegistryHolder,
                          TextDecoder decoder,
                          ValueFactories factories)

      Create a new instance.
      Parameters:
        `namespaceRegistryHolder` - the holder of the namespace registry; may not be null
        `decoder` - the text decoder; may be null if the default decoder should be used
        `factories` - the set of value factories, used to obtain the `string value factory`; may not be null

  - ### Method Detail

    - #### with

          public NameFactory with(ValueFactories valueFactories)

      Description copied from interface: `ValueFactory`
      Return a potentially new copy of this factory that uses the supplied ValueFactories object.
      Specified by:
        `with` in interface `NameFactory`
      Specified by:
        `with` in interface `ValueFactory<Name>`
      Parameters:
        `valueFactories` - the value factories object; may not be null
      Returns:
        the factory, which may be a new instance or may be this object if the supplied value factories is the same as used by this factory; never null

    - #### with

          public NameFactory with(NamespaceRegistry.Holder namespaceRegistryHolder)

      Description copied from interface: `NameFactory`
      Return a potentially new copy of this factory that uses the supplied `NamespaceRegistry.Holder` object.
      Specified by:
        `with` in interface `NameFactory`
      Parameters:
        `namespaceRegistryHolder` - the holder of the namespace registry; may not be null
      Returns:
        the factory, which may be a new instance or may be this object if the supplied namespace registry holder is the same as used by this factory; never null

    - #### create

          public Name create(String value)

      Description copied from interface: `ValueFactory`
      Create a value from a string, using no decoding.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the string from which the value is to be created
      Returns:
        the value, or null if the supplied string is null
      See Also:
        `ValueFactory.create(String, TextDecoder)`

    - #### create

          public Name create(String value,
                    TextDecoder decoder)

      Description copied from interface: `ValueFactory`
      Create a value from a string, using the supplied decoder.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the string from which the value is to be created
        `decoder` - the decoder that should be used; if null, the `default decoder` is used
      Returns:
        the value, or null if the supplied string is null
      See Also:
        `ValueFactory.create(String)`

    - #### create

          public Name create(String namespaceUri,
                    String localName)

      Description copied from interface: `NameFactory`
      Create a name from the given namespace URI and local name.

      This method is equivalent to calling `NameFactory.create(String, String, TextDecoder)` with a null encoder.

      Specified by:
        `create` in interface `NameFactory`
      Parameters:
        `namespaceUri` - the namespace URI
        `localName` - the local name
      Returns:
        the new name

    - #### create

          public Name create(String namespaceUri,
                    String localName,
                    TextDecoder decoder)

      Description copied from interface: `NameFactory`
      Create a name from the given namespace URI and local name.
      Specified by:
        `create` in interface `NameFactory`
      Parameters:
        `namespaceUri` - the namespace URI
        `localName` - the local name
        `decoder` - the decoder that should be used to decode the qualified name
      Returns:
        the new name

    - #### create

          public Name create(int value)

      Description copied from interface: `ValueFactory`
      Create a value from an integer.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the integer from which the value is to be created
      Returns:
        the value; never null

    - #### create

          public Name create(long value)

      Description copied from interface: `ValueFactory`
      Create a long from a string.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the string from which the long is to be created
      Returns:
        the value; never null

    - #### create

          public Name create(boolean value)

      Description copied from interface: `ValueFactory`
      Create a boolean from a string.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the boolean from which the value is to be created
      Returns:
        the value; never null

    - #### create

          public Name create(float value)

      Description copied from interface: `ValueFactory`
      Create a value from a float.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the float from which the value is to be created
      Returns:
        the value; never null

    - #### create

          public Name create(double value)

      Description copied from interface: `ValueFactory`
      Create a value from a double.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the double from which the value is to be created
      Returns:
        the value; never null

    - #### create

          public Name create(BigDecimal value)

      Description copied from interface: `ValueFactory`
      Create a value from a decimal.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the decimal from which the value is to be created
      Returns:
        the value, or null if the supplied decimal is null

    - #### create

          public Name create(Calendar value)

      Description copied from interface: `ValueFactory`
      Create a value from a Calendar instance.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the Calendar instance from which the value is to be created
      Returns:
        the value, or null if the supplied Calendar is null

    - #### create

          public Name create(Date value)

      Description copied from interface: `ValueFactory`
      Create a value from a date.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the date from which the value is to be created
      Returns:
        the value, or null if the supplied date is null

    - #### create

          public Name create(DateTime value)
                      throws ValueFormatException

      Description copied from interface: `ValueFactory`
      Create a value from a date-time instant.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the date-time instant from which the value is to be created
      Returns:
        the value, or null if the supplied date is null
      Throws:
        `ValueFormatException` - if the conversion from a Date could not be performed

    - #### create

          public Name create(Name value)

      Description copied from interface: `ValueFactory`
      Create a value from a name.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the name from which the value is to be created
      Returns:
        the value, or null if the supplied name is null

    - #### create

          public Name create(Path value)

      Description copied from interface: `ValueFactory`
      Create a value from a path.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the path from which the value is to be created
      Returns:
        the value, or null if the supplied path is null

    - #### create

          public Name create(Path.Segment segment)

      Description copied from interface: `ValueFactory`
      Create a value from a path segment.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `segment` - the path segment from which the value is to be created
      Returns:
        the value, or null if the supplied path segment is null

    - #### create

          public Name create(Reference value)

      Description copied from interface: `ValueFactory`
      Create a value from a reference.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the reference from which the value is to be created
      Returns:
        the value, or null if the supplied reference is null

    - #### create

          public Name create(URI value)

      Description copied from interface: `ValueFactory`
      Create a value from a URI.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the URI from which the value is to be created
      Returns:
        the value, or null if the supplied URI is null

    - #### create

          public Name create(UUID value)
                      throws IoException

      Description copied from interface: `ValueFactory`
      Create a value from a UUID.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the UUID from which the value is to be created
      Returns:
        the value, or null if the supplied URI is null
      Throws:
        `IoException`

    - #### create

          public Name create(NodeKey value)
                      throws ValueFormatException

      Description copied from interface: `ValueFactory`
      Create a value from a `NodeKey`.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the node key from which the value is to be created
      Returns:
        the value, or null if the supplied URI is null
      Throws:
        `ValueFormatException` - if the conversion from a NodeKey could not be performed

    - #### create

          public Name create(byte[] value)

      Description copied from interface: `ValueFactory`
      Create a value from the binary content given by the supplied array.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the content to be used to create the value
      Returns:
        the value, or null if the supplied stream is null

    - #### create

          public Name create(BinaryValue value)
                      throws ValueFormatException,
                             IoException

      Description copied from interface: `ValueFactory`
      Create a value from the binary content given by the supplied stream.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `value` - the binary object to be used to create the value
      Returns:
        the value, or null if the supplied stream is null
      Throws:
        `ValueFormatException` - if the conversion from the binary object could not be performed
        `IoException` - If an unexpected problem occurs while accessing the supplied binary value (such as an `IOException`).

    - #### create

          public Name create(InputStream stream)
                      throws IoException

      Description copied from interface: `ValueFactory`
      Create a value from the binary content given by the supplied stream.
      Specified by:
        `create` in interface `ValueFactory<Name>`
      Parameters:
        `stream` - the stream containing the content to be used to create the value
      Returns:
        the value, or null if the supplied stream is null
      Throws:
        `IoException` - If an unexpected problem occurs while accessing the supplied stream (such as an `IOException`).

    - #### getNamespaceRegistry

          public NamespaceRegistry getNamespaceRegistry()

      Description copied from interface: `NameFactory`
      Get the namespace registry.
      Specified by:
        `getNamespaceRegistry` in interface `NameFactory`
      Returns:
        the namespace registry; never `null`

    - #### createEmptyArray

          public Name[] createEmptyArray(int length)

      Description copied from interface: `ValueFactory`
      Creates an empty array of the given type.
      Specified by:
        `createEmptyArray` in interface `ValueFactory<Name>`
      Parameters:
        `length` - the length of the array; must be a positive value
      Returns:
        an empty array of the given length.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.